Request Information

URI Parameters

NameDescriptionTypeAdditional information
communicationMethodOptionId

The communication method option identifier.

integer

Required

Body Parameters

None.

Response Information

Resource Description

The communication method option.

Pico.CommunicationMethodOption
NameDescriptionTypeAdditional information
code

Gets or sets the code.

string

None.

description

Gets or sets the description.

string

None.

isActive

Gets or sets a value indicating whether communication method option is active.

boolean

None.

id

Gets or sets the communication method option identifier.

integer

None.

communicationMethodType

Gets or sets the communication method type identifier.

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "code": "sample String 1",
  "description": "sample String 2",
  "isActive": true,
  "id": "4",
  "communicationMethodType": "5"
}

text/html

Sample:
{"code":"sample String 1","description":"sample String 2","isActive":true,"id":"4","communicationMethodType":"5"}

application/xml, text/xml

Sample:
<CommunicationMethodOption xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Code>sample String 1</Code>
  <Description>sample String 2</Description>
  <IsActive>true</IsActive>
  <CommunicationMethodOptionId>4</CommunicationMethodOptionId>
  <CommunicationMethodTypeId>5</CommunicationMethodTypeId>
</CommunicationMethodOption>